////////////////////////////////////////////////////////////////////////////////////////
// File        : dlgladai.cpp
// Author      : Cristi Petrescu
// Date        : 98.03
// Description : implementaton for simple dialog class to display two labeled buttonds in the 
//               center of the main view
////////////////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "_AInterf.hpp"
#include "Defines.hpp"
#include "EdAcIRes.h"
#include "dlgldai.hpp"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DlgLoadAI dialog


DlgLoadAI::DlgLoadAI(CWnd* pParent /*=NULL*/)
	: CDialog(DlgLoadAI::IDD, &g_oBaseFrame)
{
	//{{AFX_DATA_INIT(DlgLoadAI)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void DlgLoadAI::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(DlgLoadAI)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(DlgLoadAI, CDialog)
	//{{AFX_MSG_MAP(DlgLoadAI)
	ON_BN_CLICKED(IDC_OAC_LOAD_AI, OnOacLoadAi)
	ON_BN_CLICKED(IDC_OAC_SHOW_MODELS, OnOacShowModels)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// DlgLoadAI message handlers

void DlgLoadAI::OnOacLoadAi() 
{
	EndDialog (IDYES);
}

void DlgLoadAI::OnOacShowModels() 
{
	EndDialog (IDOK);
}

BOOL DlgLoadAI::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	CenterWindow (M_GetMainWnd ());

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
